Name:		mcrypt
Version:	2.6.7
Release:	2%{?dist}
License:	GPLv3+
Group:		Applications/System
Summary:	Replacement for crypt()
URL:		http://mcrypt.sourceforge.net/
Source0:	http://download.sourceforge.net/mcrypt/mcrypt-%{version}.tar.gz
Patch0:		mcrypt-rfc2440-bugfixes.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libmcrypt-devel, mhash-devel, gettext, zlib-devel

%description
MCrypt is a replacement for the old crypt() package and crypt(1) command, 
with extensions. It allows developers to use a wide range of encryption 
functions, without making drastic changes to their code. It allows users 
to encrypt files or data streams without having to be cryptographers. 

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.6.7-2
- Autorebuild for GCC 4.3

* Mon Dec 17 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.6.7-1
- 2.6.7
- fix bugs in rfc2440.c (resolves bugzilla 418481)

* Fri Aug 24 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.6.6-2
- rebuild for ppc32, license fix

* Thu Jul 19 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.6.6-1
- bump to 2.6.6
- destdir patch obsoleted upstream

* Tue Sep 12 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.6.4-3
- bump for FC-6

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.6.4-2
- bump for FC-5

* Thu Sep 22 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.6.4-1
- initial package for Fedora Extras
